<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.elytron.aggregate-principal-decoder">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="principal-decoders"/>
        <elem name="addr-params" value="profile,host,subsystem,aggregate-principal-decoder"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.security.principal-decoder.$aggregate-principal-decoder"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.security.principal-decoder.$principal-decoders"/>
    </requires>
    <refs>
        <ref feature="subsystem.elytron"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="elytron"/>
        <param name="aggregate-principal-decoder" feature-id="true"/>
        <param name="principal-decoders" type="List&lt;String&gt;"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>